require "apiotics_factory/configuration"
require "apiotics_factory/version"
require "apiotics_factory/portal"
require "apiotics_factory/underscore"
require "apiotics_factory/generator"
require "apiotics_factory/publish"
require "apiotics_factory/clear_credentials"
require "apiotics_factory/my_command"

module ApioticsFactory
  
  class << self
    attr_accessor :configuration
  end
  
  def self.configuration
    @configuration ||= Configuration.new
  end
  
  def self.reset
    @configuration = Configuration.new
  end
  
  def self.configure
    yield(configuration)
  end
  
end