require 'thor/group'

module ApioticsFactory
  class ClearCredentials < Thor::Group

    include Thor::Actions
    
    desc "Deletes vendor and portal credentials."
  
    def self.source_root
      Dir.pwd
    end
  
    def delete_credentials
      config_dir = File.dirname(__FILE__).chomp("/lib/apiotics_factory") + "/var"
      #puts config_dir
      if File.exist?(config_dir + "/config.json")
        puts "Deleting config file #{config_dir}" + "/config.json"
        File.delete(config_dir + "/config.json")
      end
    end

  
  end
end