module ApioticsFactory
  class Configuration
  
    attr_accessor :public_key, :private_key, :portal, :interface_kinds
  
    def initialize
      @public_key = nil
      @private_key = nil
      @portal = "https://portal.apiotics.com/"
      @interface_kinds = {
        "string" => "string",
        "text" => "string",
        "smallint" => "integer",
        "integer" => "integer",
        "bigint" => "integer",
        "float" => "float",
        "boolean" => "boolean",
        "enum" => "string",
        "json" => "json",
        "uint8_t" => "integer",
        "uint16_t" => "integer",
        "uint32_t" => "integer",
        "int16_t" => "integer",
        "int32_t" => "integer",
        "int64_t" => "integer"
      }
    end
  
  end
end