require "thor"

module ApioticsFactory
  class MyCommand < Thor
    # register(class_name, subcommand_alias, usage_list_string, description_string)
    register(ApioticsFactory::Generator, "generate", "generate <DriverId>", "Generate Apiotics Driver.  You can find the Id for your driver on the portal.  If your driver does not yet exist on the portal, create it there first.")
    
    # register(class_name, subcommand_alias, usage_list_string, description_string)
    register(ApioticsFactory::Publish, "publish", "publish <DriverId>", "Publish Apiotics Driver.  You can find the Id for your driver on the portal.  If your driver does not yet exist on the portal, create it there first.")
  
    # register(class_name, subcommand_alias, usage_list_string, description_string)
    register(ApioticsFactory::ClearCredentials, "clear_credentials", "clear_credentials", "Delete vendor and portal information from the Gem.")
    
  end
end